This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000538 - [abrt] cinnamon-settings-daemon-1.0.0-0.10.gitb8b57d9.fc20: g_slist_last: Process /usr/libexec/cinnamon-settings-daemon was killed by signal 11 (SIGSEGV)
[abrt] cinnamon-settings-daemon-1.0.0-0.10.gitb8b57d9.fc20: g_slist_last: Pro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cinnamon-settings-daemon (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
abrt_hash:155278b318a1d4f77a3b90db1ed...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 11:27 EDT by rwobben
Modified: 2016-07-19 06:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.08 KB, text/plain)
2013-08-23 11:27 EDT, rwobben
no flags Details
File: cgroup (159 bytes, text/plain)
2013-08-23 11:27 EDT, rwobben
no flags Details
File: core_backtrace (20.85 KB, text/plain)
2013-08-23 11:27 EDT, rwobben
no flags Details
File: dso_list (14.08 KB, text/plain)
2013-08-23 11:27 EDT, rwobben
no flags Details
File: environ (1.06 KB, text/plain)
2013-08-23 11:27 EDT, rwobben
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-23 11:28 EDT, rwobben
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-23 11:28 EDT, rwobben
no flags Details
File: maps (67.59 KB, text/plain)
2013-08-23 11:28 EDT, rwobben
no flags Details
File: open_fds (1000 bytes, text/plain)
2013-08-23 11:28 EDT, rwobben
no flags Details
File: proc_pid_status (1.06 KB, text/plain)
2013-08-23 11:28 EDT, rwobben
no flags Details
File: var_log_messages (758 bytes, text/plain)
2013-08-23 11:28 EDT, rwobben
no flags Details

  None (edit)
Description rwobben 2013-08-23 11:27:41 EDT
Description of problem:
I just updated F19 to Rawhide and installed Cinnamon with yum install cinnamon

Version-Release number of selected component:
cinnamon-settings-daemon-1.0.0-0.10.gitb8b57d9.fc20

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/cinnamon-settings-daemon
crash_function: g_slist_last
executable:     /usr/libexec/cinnamon-settings-daemon
kernel:         3.11.0-0.rc6.git1.2.fc21.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_slist_last at gslist.c:845
 #1 g_slist_append at gslist.c:230
 #2 gkbd_configuration_append_object at gkbd-configuration.c:535
 #3 gkbd_status_init at gkbd-status.c:565
 #4 g_type_create_instance at gtype.c:1868
 #5 g_object_constructor at gobject.c:2028
 #6 gtk_status_icon_constructor at gtkstatusicon.c:972
 #7 g_object_new_with_custom_constructor at gobject.c:1665
 #8 g_object_new_internal at gobject.c:1744
 #11 gkbd_status_new at gkbd-status.c:662
Comment 1 rwobben 2013-08-23 11:27:45 EDT
Created attachment 789623 [details]
File: backtrace
Comment 2 rwobben 2013-08-23 11:27:48 EDT
Created attachment 789624 [details]
File: cgroup
Comment 3 rwobben 2013-08-23 11:27:51 EDT
Created attachment 789625 [details]
File: core_backtrace
Comment 4 rwobben 2013-08-23 11:27:55 EDT
Created attachment 789626 [details]
File: dso_list
Comment 5 rwobben 2013-08-23 11:27:57 EDT
Created attachment 789627 [details]
File: environ
Comment 6 rwobben 2013-08-23 11:28:00 EDT
Created attachment 789628 [details]
File: exploitable
Comment 7 rwobben 2013-08-23 11:28:03 EDT
Created attachment 789629 [details]
File: limits
Comment 8 rwobben 2013-08-23 11:28:06 EDT
Created attachment 789630 [details]
File: maps
Comment 9 rwobben 2013-08-23 11:28:09 EDT
Created attachment 789631 [details]
File: open_fds
Comment 10 rwobben 2013-08-23 11:28:12 EDT
Created attachment 789632 [details]
File: proc_pid_status
Comment 11 rwobben 2013-08-23 11:28:15 EDT
Created attachment 789633 [details]
File: var_log_messages
Comment 12 leigh scott 2013-08-23 11:43:36 EDT
You need to delete all extra keyboard layouts for now.

more than one keyboard layout = instant crash.
Comment 13 rwobben 2013-08-23 12:04:17 EDT
oke, How can I delete all keyboard layouts except the US international.
Comment 14 leigh scott 2013-08-23 12:34:11 EDT
Use this command or navigate cinnamon-settings

cinnamon-settings region


and remove the extra layouts.
Comment 15 rwobben 2013-08-23 13:33:07 EDT
Thanks, I have a working Cinnamon again.
Comment 16 leigh scott 2013-08-23 13:40:07 EDT
You might want to block any cinnamon-settings-daemon updates as the latest version is broken by gnome-desktop3 changes.
This will be fixed after I package cinnamon-desktop (still to be created).

https://github.com/mtwebster/cinnamon-desktop

forking isn't complete yet.
Comment 17 rwobben 2013-08-23 14:23:57 EDT
oke, I will try to figure out how to block updates. I have a lot to learn.
Maybe in the future I can help with packaging or testing.
Comment 18 Jaroslav Reznik 2015-03-03 10:00:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 19 Fedora End Of Life 2016-07-19 06:18:35 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.